Skip to main content
`Ctrl`+`K`

# skbio.diversity.alpha.robbins

skbio.diversity.alpha.robbins(counts)

  Calculate Robbins’ estimator for probability of unobserved outcomes.

  Robbins’ estimator is defined as:

  \[\frac{F_1}{N}\]

  where \(F_1\) is the number of singleton taxa and and \(N\) is the total number of individuals in the sample.

  The result can be interpreted as the probability of discovering a new taxon at the \(N\)-th individual given the current \(N - 1\) individuals.

  Parameters:
    counts 1-D array_like, int

      Vector of counts.

  Returns:
    float

      Robbins’ estimator.

  See also

  `goods_coverage`

  Notes

  Robbins’ estimator is defined in [1].

  References

  [1]

  Robbins, H. E. (1968). Estimating the total probability of the unobserved outcomes of an experiment. Ann. Math. Statist., 39(6), 256-257.